Bug 521043 - [RFE] Database specific code should be split from spacewalk-setup
[RFE] Database specific code should be split from spacewalk-setup
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.7
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2009-09-03 05:53 EDT by Michael Mráka
Modified: 2012-12-10 04:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 04:27:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2009-09-03 05:53:52 EDT
Description of problem:
Support of different database backends requires split of database specific code to independent setup scripts. Otherwise we will install unnecessary drivers/scripts via rpm dependencies.


Version-Release number of selected component (if applicable):
Spacewalk 0.7

How reproducible:


Steps to Reproduce:
1. choose one of database backends (oracle o postgresql as of now)
2. install spacewalk
3. check that no other database backend packages/scripts/files have been installed (e.g. via rpm -q)
  
Actual results:
both oracle and postgresql packages are installed:
oracle-instanclient-basic
oracle-instanclient-sqlplus
cx_Oracle
postgresql-jdbc
postgresql-libs
python-pgsql

Expected results:
successful installation
only drivers for selected db installed

Additional info:
Comment 1 Jan Pazdziora 2010-11-19 11:05:38 EST
Mass-moving to space13.
Comment 2 Miroslav Suchý 2011-01-19 16:44:14 EST
Michael, this is already solved, isn't it?
Can we close this one?
Comment 3 Michael Mráka 2011-01-20 04:18:43 EST
Nope, it's not finished yet.
Comment 4 Miroslav Suchý 2011-04-11 03:34:14 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Miroslav Suchý 2011-04-11 03:37:27 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 6 Jan Pazdziora 2011-07-20 07:52:51 EDT
Aligning under space16.
Comment 7 Jan Pazdziora 2012-12-07 14:31:02 EST
I'd consider this resolved. With the spacewalk-sql script and the spacewalk-oracle and spacewalk-postgresql packages, you choose the the supported backend during installation. Yes, in pacewalk-setup and Spacewalk::Setup, we have a mix of functions for both databases and we might get to split that out eventually, but right the installation works just fine so I propose closing it as CURRENTRELEASE. Do you concur?

Note You need to log in before you can comment on or make changes to this bug.